<?php
// $Id: contentanalysis.admin.inc,v 1.3 2010/04/28 19:13:14 tomdude48 Exp $
/**
 * @file * Admin include file. 
*/
/** * Displays the form for the standard settings tab. * * @return *
 array A structured array for use with Forms API. 
*/
 
 function contentanalysis_admin_settings() {
  $params = array(
    'title' => t('Default analyzers.'),
    'description' => t('Select the analyzers you want enabled by default.'),
  );
  $form['contentanalysis_default_analyzers'] = contentanalysis_get_analizer_form_element($params);

  $form['contentanalysis_analyzerchecklist'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable analyzer checklist report'),
    '#default_value' => variable_get('contentanalysis_analyzerchecklist',1)  
  ); 
  
  $form['contentanalysis_node_edit_form_collapsed'] = array(
    '#type' => 'checkbox',
    '#title' => t('Collapse the content analysis fieldset on the node edit form'),
    '#default_value' => variable_get('contentanalysis_node_edit_form_collapsed',0)  
  ); 
  
  /*
  $form['contentanalysis_display'] = array(
    '#type' => 'checkboxes',
    '#title' => 'Analysis box display options',
    '#description' => t('Controls where the analysis messages display on node edit forms.'),
    '#options' => array(
      'sections' => t('On each content section'),
      'main' => t('On content optmizer fieldset'),
    ),
    '#default_value' => variable_get('contentanalysis_display',array('sections','main')),
  );

  $form['contentanalysis_analyze_on_start'] = array(
    '#type' => 'checkbox',
    '#title' => 'Auto-analyze on edit',
    '#description' => t('Turns on if you want content to be automatically analized when node is edited.'),
    '#default_value' => variable_get('contentanalysis_analyze_on_start','0'),
  );

  if(module_exists('setags')) {
    $form['contentanalysis_include_setags'] = array(
    '#type' => 'checkbox',
    '#title' => 'Include search engine tags.',
    '#description' => t('Will add tags from the search engine tags module on analysis.'),
    '#default_value' => variable_get('contentanalysis_include_setags','0'),
   );
  }
*/  
  //Add the system buttons to the form
  $form = system_settings_form($form);  

  
  //Overide the theme function back to our own one
  return $form;
}